import http from '@core/http';

import type { SceneDetail, SceneInfo } from './type';

const enum API {
  获取场景 = '/scene/getById',
}

export async function getSceneById(id: SceneInfo['id']): Promise<SceneDetail | null> {
  if (!id) return null;
  type B = { id: string };
  type D = SceneDetail;
  try {
    const body = { id };
    const data = await http.post<D, B>(API.获取场景, body);
    return data ?? null;
  } catch (error) {
    console.debug(error);
    return null;
  }
}
